<template>
    <div
        class="tab-pane fade show active"
        id="pills-card-button"
        role="tabpanel"
        aria-labelledby="pills-card-tab-button"
    >
        <div v-for="item in bancos" :key="item.id" class="address-box">
            <div class="card border m-b-30">
                <div class="card-header">
                    <h5 class="mb-0">{{ item.name_banco }}</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-lg-3 text-center mb-3">
                            <i class="fa fa-bank rem-6"></i>
                        </div>
                        <div class="col-lg-9">
                            <p>
                                {{ item.numero_cuenta }} <br />Cuenta
                                {{ item.tipo_cuenta }} <br />{{
                                    item.nombre_persona
                                }}
                                <br />{{ item.documento_type }}-{{
                                    item.documento
                                }}
                                <br />{{ item.email }}
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="address-box">
            <div class="card border m-b-30">
                <div class="card-body">
                    <div class="row">
                        <div class="col-lg-6"></div>
                        <div class="col-lg-6 text-right">
                            <button
                                class="btn btn-primary btn-block"
                                @click.prevent="process"
                            >
                                Registrar Pago
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
<!-- Usando la convención BEM -->
<style>
.rem-6 {
    font-size: 6rem;
}
</style>
<script>
export default {
    created() {},
    mounted() {
        this.get();
    },
    data() {
        return {
            bancos: ""
        };
    },
    methods: {
        get() {
            axios.get("/api/config/bancos").then(res => {
                this.bancos = res.data;
            });
        },
        process() {
            location.href = "/dashboard/compras/registrar-pagos";
        }
    }
};
</script>
